crypto-pubkey-0.2.8: Public Key cryptography

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell98

Crypto.PubKey.MaskGenFunction

Description

Synopsis

- type MaskGenAlgorithm = HashFunction -> ByteString -> Int -> ByteString
- mgf1 :: MaskGenAlgorithm

# Documentation

type MaskGenAlgorithm Source

Arguments

= HashFunction | hash function to use
-> ByteString | seed
-> Int | length to generate
-> ByteString |

Represent a mask generation algorithm

mgf1 :: MaskGenAlgorithm Source

Mask generation algorithm MGF1